﻿using Infragistics.Controls.Layouts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamTileManager_layout
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
            this.DataContext = new ObservableCollection<Car>()
            {
                new Car("BMW", "E12 mid-sized sedan", "1972–1981 (first of the 5 series, mid-size sedans)"),
                new Car("Ferrari", "Ascari", "2005"),
                new Car("BMW", "M1 supercar", "1978–1981 (chassis code E26)"),
                new Car("Mercedes", "Benz GLA-Class", "(mid-size SUV/cross-over vehicle)")
            };
        }        
    }
    
    public class Car
    {
        public string Make { get; set; }

        public string Model { get; set; }

        public string Description { get; set; }

        public Car(string make, string model, string description)
        {
            Make = make;
            Model = model;
            Description = description;
        }
    }
}
